const lodashOrderBy = require('lodash.orderby')

/**
 *  order results by keys
 *
 *  @param {object} options
 *  @param {object} results
 *
 *  @return {object}
 *
 */
function orderBy(options, results) {
	options.forEach((key, index) => {

		let direction = 'asc'

		if (key.charAt(0) === '-') {
			key = key.slice(1, key.length)
			direction = 'desc'
		}

		results = lodashOrderBy(results, key, direction)
	})

	return results
}

module.exports = orderBy
